<?php 
// mengaktifkan session php
session_start();

// menghubungkan dengan koneksi
include 'koneksi.php';

// menangkap data yang dikirim dari form
$username = mysqli_real_escape_string($koneksi, $_POST['username']);
$password = mysqli_real_escape_string($koneksi, $_POST['password']);
$token	  = mysqli_real_escape_string($koneksi, $_POST['token']);

// menyeleksi data admin dengan username dan password yang sesuai
$data = mysqli_query($koneksi,"select * from user where username='$username' and password='$password' and token='$token'");

// menghitung jumlah data yang ditemukan
$cek = mysqli_num_rows($data);

if ($cek>0) {
		$row = mysqli_fetch_assoc($data);
		$_SESSION["id"]=$row["id"];
		$_SESSION["username"]=$row["username"];
		$_SESSION["nama"]=$row["nama"];
        $_SESSION["level"]=$row["level"];
        $_SESSION["kelas"]=$row["kelas"];
		$_SESSION["status"]=$row["status"];


        if ($_SESSION["level"]=$row["level"]==rekab)
        {
            header("Location:rekab/index.php");
        } else if ($_SESSION["level"]=$row["level"]==admin)
	{
            header("Location:admin/index.php");
        } else if ($_SESSION["level"]=$row["level"]==VOTE)
        {
            header("Location:siswa/index.php");
        } else if ($_SESSION["level"]=$row["level"]==guru)
        {

            header("Location:guru/index.php");
	}else {
            header("Location:index.html");
        }

	
}else {
		header("location:salah.php");
	}
?>

